package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * AreaConfig对象 area_config
 *
 * @author hlf
 * @date 2022-01-10
 */
public class AreaConfig extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long areaNo;

    private Long rtuNo;

    private String name;

    public void setAreaNo(Long areaNo) {
        this.areaNo = areaNo;
    }

    public Long getAreaNo() {
        return areaNo;
    }

    public void setRtuNo(Long rtuNo) {
        this.rtuNo = rtuNo;
    }

    public Long getRtuNo() {
        return rtuNo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("areaNo", getAreaNo())
                .append("rtuNo", getRtuNo())
                .toString();
    }
}
